<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__tcpwm__shiftreg__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_tcpwm_shiftreg_config_t</compoundname>
    <includes local="no">cy_tcpwm_shiftreg.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a09a0fa05b9b04caa6853949c7d004a9b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::clockPrescaler</definition>
        <argsstring />
        <name>clockPrescaler</name>
        <briefdescription>
<para>Sets the clock prescaler inside the TCWPM block. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a803c6305495f76fa4215fc50c06e68e8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::tapsEnabled</definition>
        <argsstring />
        <name>tapsEnabled</name>
        <briefdescription>
<para>In shift register this sets the enabled taps. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="62" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a246b6b86b3d503819d9dfa4e442bedf3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::compare0</definition>
        <argsstring />
        <name>compare0</name>
        <briefdescription>
<para>Sets the value for Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a9c012dbae5c48930acd65fe89b9f9f4b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::compare1</definition>
        <argsstring />
        <name>compare1</name>
        <briefdescription>
<para>Sets the value for the buffered Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a4d597940a6dec1366d91415b0703edb9" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_shiftreg_config_t::enableCompareSwap</definition>
        <argsstring />
        <name>enableCompareSwap</name>
        <briefdescription>
<para>If enabled, the compare0 values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a509f20796c948dcfa4f2ab15fdadea3b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::compare2</definition>
        <argsstring />
        <name>compare2</name>
        <briefdescription>
<para>Sets the value for Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="66" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a57f1df0cc929024841ee32adb6cdcae1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::compare3</definition>
        <argsstring />
        <name>compare3</name>
        <briefdescription>
<para>Sets the value for the buffered Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="67" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a8f0fc0dca3c167b217b13ff11dd507b3" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_shiftreg_config_t::enableCompare1Swap</definition>
        <argsstring />
        <name>enableCompare1Swap</name>
        <briefdescription>
<para>If enabled, the compare1 values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a86e389cc35d7897f918ad4b1b5fe6d21" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::interruptSources</definition>
        <argsstring />
        <name>interruptSources</name>
        <briefdescription>
<para>Enables an interrupt on the terminal count, capture or compare. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="69" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a5006be6167088f58835b71e81e053ec0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::invertShiftRegOut</definition>
        <argsstring />
        <name>invertShiftRegOut</name>
        <briefdescription>
<para>Inverts the ShiftReg output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1ac90567d8cdd6553d9ff3d53d492cfce4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::invertShiftRegOutN</definition>
        <argsstring />
        <name>invertShiftRegOutN</name>
        <briefdescription>
<para>Inverts the ShiftReg compliment output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1aa755df2b8e33b4570b15807d35d09328" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::reloadInputMode</definition>
        <argsstring />
        <name>reloadInputMode</name>
        <briefdescription>
<para>Configures how the reload input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a544930bb80877350ee1d3340fbf16b52" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::reloadInput</definition>
        <argsstring />
        <name>reloadInput</name>
        <briefdescription>
<para>Selects which input the reload uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="73" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="73" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a7967565f53758c555681b49b08d5dc21" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::startInputMode</definition>
        <argsstring />
        <name>startInputMode</name>
        <briefdescription>
<para>Configures how the start input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1ab31c0afc07c0356a69b0993e58a2577f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::startInput</definition>
        <argsstring />
        <name>startInput</name>
        <briefdescription>
<para>Selects which input the start uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="75" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1af5959e389e5949d4699130fa8c3638c5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::killInputMode</definition>
        <argsstring />
        <name>killInputMode</name>
        <briefdescription>
<para>Configures how the kill0 input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="76" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a5eb30a1227023915579e56718dc38e08" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::killInput</definition>
        <argsstring />
        <name>killInput</name>
        <briefdescription>
<para>Selects which input the kill0 uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="77" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a4874f2720f10841ecbff753faec35004" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::shiftInputMode</definition>
        <argsstring />
        <name>shiftInputMode</name>
        <briefdescription>
<para>Configures how the shift input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1af8adc6278c22029d5f223ff5ef31b469" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::shiftInput</definition>
        <argsstring />
        <name>shiftInput</name>
        <briefdescription>
<para>Selects which input the shift uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1ab80c79ccae10032aae7f61de48480954" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::serialInputMode</definition>
        <argsstring />
        <name>serialInputMode</name>
        <briefdescription>
<para>Configures how the serial input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a6e62ef95e493e3b059df4c434e6ee3ea" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::serialInput</definition>
        <argsstring />
        <name>serialInput</name>
        <briefdescription>
<para>Selects which input the serial usese. </para>        </briefdescription>
        <detaileddescription>
<para>Inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="81" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1ac9af39713abe383b8bfbd775521aa306" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::shiftRegOnDisable</definition>
        <argsstring />
        <name>shiftRegOnDisable</name>
        <briefdescription>
<para>Specifies the behavior of the ShiftReg outputs line_out and line_compl_out while the Shift Register is disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="82" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1a65b35248a6057c8854ae8224fa86d2d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::trigger0Event</definition>
        <argsstring />
        <name>trigger0Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="83" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__shiftreg__config__t_1abc1393e7d297b432cd42259c3cf2b350" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_shiftreg_config_t::trigger1Event</definition>
        <argsstring />
        <name>trigger1Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="84" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Shift Register configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="85" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="60" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a09a0fa05b9b04caa6853949c7d004a9b" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>clockPrescaler</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a246b6b86b3d503819d9dfa4e442bedf3" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>compare0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a9c012dbae5c48930acd65fe89b9f9f4b" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>compare1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a509f20796c948dcfa4f2ab15fdadea3b" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>compare2</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a57f1df0cc929024841ee32adb6cdcae1" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>compare3</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a8f0fc0dca3c167b217b13ff11dd507b3" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>enableCompare1Swap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a4d597940a6dec1366d91415b0703edb9" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>enableCompareSwap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a86e389cc35d7897f918ad4b1b5fe6d21" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>interruptSources</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a5006be6167088f58835b71e81e053ec0" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>invertShiftRegOut</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1ac90567d8cdd6553d9ff3d53d492cfce4" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>invertShiftRegOutN</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a5eb30a1227023915579e56718dc38e08" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>killInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1af5959e389e5949d4699130fa8c3638c5" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>killInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a544930bb80877350ee1d3340fbf16b52" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>reloadInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1aa755df2b8e33b4570b15807d35d09328" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>reloadInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a6e62ef95e493e3b059df4c434e6ee3ea" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>serialInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1ab80c79ccae10032aae7f61de48480954" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>serialInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1af8adc6278c22029d5f223ff5ef31b469" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>shiftInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a4874f2720f10841ecbff753faec35004" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>shiftInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1ac9af39713abe383b8bfbd775521aa306" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>shiftRegOnDisable</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1ab31c0afc07c0356a69b0993e58a2577f" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>startInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a7967565f53758c555681b49b08d5dc21" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>startInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a803c6305495f76fa4215fc50c06e68e8" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>tapsEnabled</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1a65b35248a6057c8854ae8224fa86d2d5" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>trigger0Event</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__shiftreg__config__t_1abc1393e7d297b432cd42259c3cf2b350" virt="non-virtual"><scope>cy_stc_tcpwm_shiftreg_config_t</scope><name>trigger1Event</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>